package com.xylink.sdk.dept;

import com.xylink.config.SDKConfigMgr;
import com.xylink.util.HttpUtil;
import com.xylink.util.Result;
import com.xylink.util.SignatureSample;
import java.io.IOException;

public class EnterpriseDeptApi {
    private static SignatureSample signatureSample = new SignatureSample();
    private static final String prefixUrl = "/api/rest/external/v1/dept";

    public Result getEnterpriseDepts(String enterpriseId, String token) throws IOException{
        String surl = SDKConfigMgr.getServerHost() + prefixUrl + "?enterpriseId=" + enterpriseId;
        String signature = signatureSample.computeSignature("","GET",token,surl);
        surl += "&signature=" + signature;
        return HttpUtil.getResponse(surl,"GET", null,String.class);
    }
}
